Chart Data

Interval Chart

GET
/api/mkt-data/chart/interval-data

This service can be used to fetch the open, high, low, close and volume values (chart data points) of a given symbol.

Also it provides sum up volume of last tick to calculate the current minute volume.

For derivative symbol, an additional field Open Interest Change for that particular minute will be added in same response array.

Query Parameters

from*integer

Enter starting datetime(eg: 2023-06-01 9:15:00 ) in timestamp(eg: 1685591100)

to*integer

Enter ending datetime(eg: 2023-06-01 13:12:34) in timestamp(eg: 1685605354)

interval*string

Enter time interval in minutes

id*string

Enter Symbol id

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/mkt-data/chart/interval-data?from=1685591100&to=1685605354&interval=1&id=EQT_RELIANCE_EQ_NSE" \  -H "Authorization: Bearer <api Key>:<access token>"
{
  "s": "ok",
  "d": {
    "bars": [
      {
        "time": 1705290000,
        "open": 2445,
        "high": 2462.5,
        "low": 2438.75,
        "close": 2450.75,
        "volume": 1234567
      },
      {
        "time": 1705293600,
        "open": 2451,
        "high": 2468,
        "low": 2447,
        "close": 2463.25,
        "volume": 987654
      }
    ],
    "sumUpVolume": true
  }
}
{
  "s": "error",
  "msg": "Input validation failed. Kindly check your input contains required fields for the request"
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}